<?xml version="1.0"?>
<tryton>
  <data>
    <record model="ir.ui.view" id="cron_view_list">
        <field name="model">automation.cron</field>
        <field name="type">tree</field>
        <field name="name">cron_list</field>
    </record>

    <record model="ir.ui.view" id="cron_view_form">
        <field name="model">automation.cron</field>
        <field name="type">form</field>
        <field name="name">cron_form</field>
    </record>

    <record model="ir.action.act_window" id="act_cron_form">
        <field name="name">Update shipment from freight booking</field>
        <field name="res_model">automation.cron</field>
    </record>
    <record model="ir.action.act_window.view" id="act_cron_form_view1">
        <field name="sequence" eval="10"/>
        <field name="view" ref="cron_view_list"/>
        <field name="act_window" ref="act_cron_form"/>
    </record>
    <record model="ir.action.act_window.view" id="act_cron_form_view2">
        <field name="sequence" eval="20"/>
        <field name="view" ref="cron_view_form"/>
        <field name="act_window" ref="act_cron_form"/>
    </record>
    
    <record model="ir.cron" id="cron_cron">
        <field name="method">automation.cron|update_shipment</field>
        <field name="interval_number" eval="1"/>
        <field name="interval_type">days</field>
    </record>
  </data>
</tryton>
